# Class CIM_IBSubnetManager
extends CIM_Service

An Infiniband Subnet Manager (SM) is an entity responsible for configuring and managing an IB subnet. It uses Subnet Management Agents (SMA) to access and manage individual nodes. The SM is hosted in the context of a specific computer system (i.e., hosted by an instance of UnitaryComputerSystem), as described by the HostedService association. Note that there may be multiple SMs operating in a subnet, but only the elected master is allowed to perform configuration functions.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_IBSubnetManager

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

An Infiniband Subnet Manager (SM) is an entity responsible for configuring and managing an IB subnet. It uses Subnet Management Agents (SMA) to access and manage individual nodes. The SM is hosted in the context of a specific computer system (i.e., hosted by an instance of UnitaryComputerSystem), as described by the HostedService association. Note that there may be multiple SMs operating in a subnet, but only the elected master is allowed to perform configuration functions.

UMLPackagePath | string | CIM::Device::IB
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Priority | uint8 |
Description | string | Administratively assigned priority for this SM, used to establish the master. A higher number indicates a higher priority and likelihood of becoming the master. The property value can be reset by the master SM.
MappingStrings | string | MAD.IBTA | SMInfo | Priority
Write | boolean | true
State | uint16 |
Description | string | Enumerated value that indicates the Subnet Manager's State. The values are fairly self-explanatory except for "Not Active". This value indicates that the SM is available to participate in the subnet, but has not been given permission. A value "Unknown" (0) is also defined.
MappingStrings | string | MAD.IBTA | SMInfo | SMState
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Not Active, Discovering, Standby, Master

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service